Last Comment Bug 565749 - Tab-tearing threshold needs to be more robust
: Tab-tearing threshold needs to be more robust
Status: VERIFIED FIXED
[qa!][testday-20110930]
: ux-userfeedback, verified-beta
Product: Firefox
Classification: Client Software
Component: Tabbed Browser (show other bugs)
: Trunk
: All All
: -- normal with 2 votes (vote)
: Firefox 8
Assigned To: Frank Yan (:fryn)
:
Mentors:
Depends on: 455694 501543
Blocks: 485105 cuts-tabs
  Show dependency treegraph
 
Reported: 2010-05-13 13:44 PDT by John Wayne Hill (UX Intern)
Modified: 2011-09-30 15:38 PDT (History)
16 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (increases threshold from half a tab to 1 tab height) (1.02 KB, patch)
2010-07-26 22:25 PDT, Frank Yan (:fryn)
no flags Details | Diff | Review

Description John Wayne Hill (UX Intern) 2010-05-13 13:44:35 PDT
(Note: this is filed as part of the “Paper Cut” bugs — we assume that there may be multiple existing bugs on this. Please make them block this bug, and we will de-dupe if they are indeed exactly the same. Thanks!)

To reproduce:
1. Open a tab
2. Drag the tab around
3. it's too easy to tear the tab off the window, which causes accidental tears

Recommendation:
Increase the tab-tearing threshold to be more robust.
Google Chrome does this very well.
Comment 1 Wes Kocher (:KWierso) 2010-05-26 17:30:18 PDT
How about actually hiding the tab in the tabstrip when the tab has been dragged far enough to initiate the tear?
Comment 2 Frank Yan (:fryn) 2010-07-26 22:25:11 PDT
Created attachment 460447 [details] [diff] [review]
patch (increases threshold from half a tab to 1 tab height)

While we would love a tab tearing animation like this one ( http://www.stephenhorlander.com/images/blog-posts/tab-animation/animation-tab-tear-off.html ), that's for another day and another bug.

This should be a decent short-term solution.
Comment 3 Frank Yan (:fryn) 2010-11-23 19:13:15 PST
This will be fixed when bug 455694 is.

*** This bug has been marked as a duplicate of bug 455694 ***
Comment 4 Henrik Skupin (:whimboo) 2010-11-24 01:15:10 PST
(In reply to comment #3)
> This will be fixed when bug 455694 is.

Because the topics are completely different it would be nice to just add the dependency. That way we do not forget about this specific issue covered by this bug.
Comment 5 Frank Yan (:fryn) 2011-04-14 20:38:50 PDT
As KWierso note, this is primarily an issue of lack of feedback from the UI. We've been aware of that; it's just not simple to fix, but my patch in bug 455694 does fix it! :)
Comment 6 Frank Yan (:fryn) 2011-07-27 03:14:48 PDT
Fixed by patch in bug 455694.
Comment 7 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2011-09-30 15:23:37 PDT
Tested in Firefox 8.0b1.

When dragging the tab, I see the following tear behaviour:
 * UP, does not tear until mouse leaves top-bounds of the window
 * DOWN, does not tear until mouse leaves mid-point in Navigation toolbar
 * LEFT, does not tear until mouse leaves left-bounds of the window
 * RIGHT, does not tear until mouse leaves right-bounds of the window

Is this the desired behaviour to call this bug fixed?
Comment 8 Frank Yan (:fryn) 2011-09-30 15:26:30 PDT
(In reply to Anthony Hughes, Mozilla QA (irc: ashughes) from comment #7)

> Is this the desired behaviour to call this bug fixed?

Yes.
Comment 9 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2011-09-30 15:38:39 PDT
Marking verified based on comment 8.

Note You need to log in before you can comment on or make changes to this bug.